VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DeviceMemoryOverallocationCreateInfoAMD (MemoryOverallocationBehaviorAMD overallocationBehavior_=MemoryOverallocationBehaviorAMD::eDefault)
| DeviceMemoryOverallocationCreateInfoAMD (VkDeviceMemoryOverallocationCreateInfoAMD const &rhs)
DeviceMemoryOverallocationCreateInfoAMD & | operator= (VkDeviceMemoryOverallocationCreateInfoAMD const &rhs)
DeviceMemoryOverallocationCreateInfoAMD & | setPNext (const void *pNext_)
DeviceMemoryOverallocationCreateInfoAMD & | setOverallocationBehavior (MemoryOverallocationBehaviorAMD overallocationBehavior_)
| operator VkDeviceMemoryOverallocationCreateInfoAMD const & () const
| operator VkDeviceMemoryOverallocationCreateInfoAMD & ()
bool | operator== (DeviceMemoryOverallocationCreateInfoAMD const &rhs) const
bool | operator!= (DeviceMemoryOverallocationCreateInfoAMD const &rhs) const

## Data Fields

const void * | pNext = nullptr
MemoryOverallocationBehaviorAMD | overallocationBehavior

## Private Attributes

StructureType | sType = StructureType::eDeviceMemoryOverallocationCreateInfoAMD

## Detailed Description

Definition at line 37513 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DeviceMemoryOverallocationCreateInfoAMD() [1/2]

VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::DeviceMemoryOverallocationCreateInfoAMD | ( | MemoryOverallocationBehaviorAMD | overallocationBehavior_ = `MemoryOverallocationBehaviorAMD::eDefault` | ) |

inline

Definition at line 37515 of file vulkan.hpp.

: overallocationBehavior( overallocationBehavior_ )
{
}

## DeviceMemoryOverallocationCreateInfoAMD() [2/2]

VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::DeviceMemoryOverallocationCreateInfoAMD | ( | VkDeviceMemoryOverallocationCreateInfoAMD const & | rhs | ) |

inline

Definition at line 37520 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceMemoryOverallocationCreateInfoAMD ) );
}

References memcpy.

## Member Function Documentation

## operator VkDeviceMemoryOverallocationCreateInfoAMD &()

VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::operator VkDeviceMemoryOverallocationCreateInfoAMD & | ( |  | ) |

inline

Definition at line 37547 of file vulkan.hpp.

{
return *reinterpret_cast<VkDeviceMemoryOverallocationCreateInfoAMD*>(this);
}

## operator VkDeviceMemoryOverallocationCreateInfoAMD const &()

VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::operator VkDeviceMemoryOverallocationCreateInfoAMD const & | ( |  | ) | const

inline

Definition at line 37542 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDeviceMemoryOverallocationCreateInfoAMD*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::operator!= | ( | DeviceMemoryOverallocationCreateInfoAMD const & | rhs | ) | const

inline

Definition at line 37559 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DeviceMemoryOverallocationCreateInfoAMD& VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::operator= | ( | VkDeviceMemoryOverallocationCreateInfoAMD const & | rhs | ) |

inline

Definition at line 37525 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceMemoryOverallocationCreateInfoAMD ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::operator== | ( | DeviceMemoryOverallocationCreateInfoAMD const & | rhs | ) | const

inline

Definition at line 37552 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( overallocationBehavior == rhs.overallocationBehavior );
}

References overallocationBehavior, pNext, and sType.

Referenced by operator!=().

## setOverallocationBehavior()

DeviceMemoryOverallocationCreateInfoAMD& VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::setOverallocationBehavior | ( | MemoryOverallocationBehaviorAMD | overallocationBehavior_ | ) |

inline

Definition at line 37536 of file vulkan.hpp.

{
overallocationBehavior = overallocationBehavior_;
return *this;
}

References overallocationBehavior.

## setPNext()

DeviceMemoryOverallocationCreateInfoAMD& VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 37530 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## overallocationBehavior

MemoryOverallocationBehaviorAMD VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::overallocationBehavior

Definition at line 37569 of file vulkan.hpp.

Referenced by operator==(), and setOverallocationBehavior().

## pNext

const void* VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::pNext = nullptr

Definition at line 37568 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::sType = StructureType::eDeviceMemoryOverallocationCreateInfoAMD

private

Definition at line 37565 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::sType
StructureType sType
Definition: vulkan.hpp:37565
VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::DeviceMemoryOverallocationCreateInfoAMD
DeviceMemoryOverallocationCreateInfoAMD(MemoryOverallocationBehaviorAMD overallocationBehavior_=MemoryOverallocationBehaviorAMD::eDefault)
Definition: vulkan.hpp:37515
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::pNext
const void * pNext
Definition: vulkan.hpp:37568
VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::overallocationBehavior
MemoryOverallocationBehaviorAMD overallocationBehavior
Definition: vulkan.hpp:37569
VkDeviceMemoryOverallocationCreateInfoAMD
Definition: vulkan_core.h:8591
VULKAN_HPP_NAMESPACE::DeviceMemoryOverallocationCreateInfoAMD::operator==
bool operator==(DeviceMemoryOverallocationCreateInfoAMD const &rhs) const
Definition: vulkan.hpp:37552